## Unicode Search Bar

Unicode Search Bar — Search for unicode codepoints within a font

## Functions

GtkWidget * | font_manager_unicode_search_bar_new ()
void | font_manager_unicode_search_bar_set_character_map ()

## Properties

GObject * | character-map | Read / Write

## Types and Values

#define | FONT_MANAGER_TYPE_UNICODE_SEARCH_BAR
| FontManagerUnicodeSearchBar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── FontManagerUnicodeSearchBar

## Implemented Interfaces

FontManagerUnicodeSearchBar implements GtkAccessible, GtkBuildable and GtkConstraintTarget.

## Includes

    #include <unicode-search-bar.h>

## Description

This widget provides a way to search for characters by name, value or other information.

## Functions

### font_manager_unicode_search_bar_new ()

    GtkWidget *
    font_manager_unicode_search_bar_new (void);

#### Returns

A newly created FontManagerUnicodeSearchBar. Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_unicode_search_bar_set_character_map ()

    void
    font_manager_unicode_search_bar_set_character_map
                                   (FontManagerUnicodeSearchBar *self,
                                    FontManagerUnicodeCharacterMap *character_map);

#### Parameters

self | FontManagerUnicodeSearchBar |
character_map | FontManagerUnicodeCharacterMap. | [transfer none][nullable]

## Types and Values

### FONT_MANAGER_TYPE_UNICODE_SEARCH_BAR

    #define FONT_MANAGER_TYPE_UNICODE_SEARCH_BAR (font_manager_unicode_search_bar_get_type())

### FontManagerUnicodeSearchBar

    typedef struct _FontManagerUnicodeSearchBar FontManagerUnicodeSearchBar;

## Property Details

### The `“character-map”` property

      “character-map”            GObject *

FontManagerUnicodeCharacterMap.

Owner: FontManagerUnicodeSearchBar

Flags: Read / Write